SYNCEVOLUTION(1)

NAME
SyncEvolution - synchronize personal information management (PIM) using SyncML

DESCRIPTION

  Show available sources:

    syncevolution

  Show information about configuration(s) and sync sessions:

    syncevolution --print-servers syncevolution --print-config [--quiet] <server> [sync|<source ...] syncevolution --print-sessions [--quiet] <server>

  Show information about SyncEvolution:

    syncevolution --help|-h syncevolution --version

  Run a synchronization:

    syncevolution <server> [<source> ...] syncevolution --run <options for run> <server> [<source> ...]

  Restore data from the automatic backups:

    syncevolution --restore <session directory> --before|--after [--dry-run] <server> <source> ...

  Remove a configuration:

    syncevolution --remove <server>

  Modify configuration:

    syncevolution --configure <options for configuration> <server> [<source> ...] syncevolution --migrate <server>

OPTIONS
--sync|-s <mode> --sync|-s ?

    Temporarily synchronize the active sources in that mode. Useful for a "refresh-from-server" or "refresh-from-client" sync which clears all data at one end and copies all items from the other.

--print-servers

    Prints the names of all configured servers to stdout.

--print-config|-p

    Prints the complete configuration for the selected server to stdout, including up-to-date comments for all properties. The format is the normal .ini format with source configurations in different sections introduced with [<source>] lines. Can be combined with --sync-property and --source-property to modify the configuration on-the-fly. When one or more sources are listed after the <server> name on the command line, then only the configs of those sources are printed. Using --quiet suppresses the comments for each property. When setting a --template, then the reference configuration for that server is printed instead of an existing configuration.

--print-sessions

    Prints a list of all previous log directories. Unless --quiet is used, each file name is followed by the original sync report.

--configure|-c

    Modify the configuration files for the selected server. If no such configuration exists, then a new one is created using one of the template configurations (see --template option). When creating a new configuration only the active sources will be set to active in the new configuration, i.e. "syncevolution -c scheduleworld addressbook" followed by "syncevolution scheduleworld" will only synchronize the address book. The other sources are created in a disabled state. When modifying an existing configuration and sources are specified, then the source properties of only those sources are modified.

--migrate

    In SyncEvolution <= 0.7 a different layout of configuration files was used. Using --migrate will automatically migrate to the new layout and rename the old directory $HOME/.sync4j/evolution/<server> into $HOME/.sync4j/evolution/<server>.old to prevent accidental use of the old configuration. WARNING: old SyncEvolution releases cannot use the new configuration! The switch can also be used to migrate a configuration in the current configuration directory: this preserves all property values, discards obsolete properties and sets all comments exactly as if the configuration had been created from scratch. WARNING: custom comments in the configuration are not preserved. --migrate implies --configure and can be combined with modifying properties.

--restore

    Restores the data of the selected sources to the state from before or after the selected synchronization. The synchronization is selected via its log directory (see --print-sessions). Other directories can also be given as long as they contain database dumps in the format created by SyncEvolution. The output includes information about the changes made during the restore, both in terms of item changes and content changes (which is not always the same, see manual for details). This output can be suppressed with --quiet. In combination with --dry-run, the changes to local data are only simulated. This can be used to check that --restore will not remove valuable information.

--remove

    This removes only the configuration files and related meta information. If other files were added to the config directory of the server, then those and the directory will not be removed. Log directories will also not be removed.

--sync-property|-y <property>=<value> --sync-property|-y ? --sync-property|-y <property>=?

    Overrides a configuration property in the <server>/config.ini file for the current synchronization run or permanently when --configure is used to update the configuration. Can be used multiple times. Specifying an unused property will trigger an error message.

--source-property|-z <property>=<value> --source-property|-z ? --source-property|-z <property>=?

    Same as --sync-option, but applies to the configuration of all active sources. "--sync <mode>" is a shortcut for "--source-option sync=<mode>".

--template|-l <server name>|default|?

    Can be used to select from one of the built-in default configurations for known SyncML servers. Defaults to the <server> name, so --template only has to be specified when creating multiple different configurations for the same server. "default" is an alias for "scheduleworld" and can be used as the starting point for servers which do not have a built-in configuration. Each template contains a pseudo-random device ID. Therefore setting the "deviceId" sync property is only necessary when manually recreating a configuration or when a more descriptive name is desired.

--status|-t

    The changes made to local data since the last synchronization are shown without starting a new one. This can be used to see in advance whether the local data needs to be synchronized with the server.

--quiet|-q

    Suppresses most of the normal output during a synchronization. The log file still contains all the information.

--help|-h

    Prints usage information.

--version

    Prints the SyncEvolution version.